Data Hub
Runs

Create an instrument run

Requires scope `runs:create`.

POST
/instruments/{instrumentId}/runs

Requires scope runs:create.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Path Parameters

instrumentId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/instruments/plate-reader/runs" \  -H "Content-Type: application/json" \  -d '{    "run_id": "string",    "source": "lambda"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "instrument_id": "string",  "run_id": "string",  "source": "lambda"}
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "instrument_id": "string",  "run_id": "string",  "source": "lambda"}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}